<div class="dialog" id="msg_dialog" style="display: none;">
    <div class="go-check-email">
    <h4 class="title-dialog"></h4>
    <br/>
    <div id="inform-message-container">

    </div><br>
    <div class="button-dialog" id="dialog-button-area">
      <a href="javascript:void(0);" id="accept-inform">{{ lang['accept'] }}</a>
    </div>
  </div>
</div>

<div class="wrap-allContent">
    <div class="allContent">
        <div class="bt-signin-sigup">
          <div class="bt-signin">{{ link_to('signin', lang['btn_signin']) }}</div>
          <div class="bt-signup active">{{ link_to('signup', lang['btn_signup']) }}</div>
        </div>
        
        <div class="wrap-box">
          <div class="wrap-box-content">

            <div class="dialog" id="Is_Member_No_Token" style="display: none;">
                <div class="go-check-email">
                <h4 class="title-dialog">{{ lang['lb_title_box_alert'] }}</h4>
                <div class="detail-dialog" id="div-show-dialog-msg"></div>
                <div class="button-dialog">
                    <ul class="buttonLists-dialog">
                    <li><a href="javascript:;" onclick="$('#Is_Member_No_Token').hide(); location.reload();">{{ lang['accept'] }}</a></li>
                  </ul>
                </div>
              </div>
            </div>
        
            {% if isNoticeExpire %}
            <div class="dialog" id="Is_Member_Expire_Token">
                <div class="go-check-email">
                <h4 class="title-dialog">{{ lang['lb_title_box_alert'] }}</h4>
                <div class="detail-dialog">{{ lang['lb_signup_token_expired'] }}</div>
                <div class="button-dialog">
                    <ul class="buttonLists-dialog">
                    <li><a href="javascript:;" onclick="$('#Is_Member_Expire_Token').hide();">{{ lang['accept'] }}</a></li>
                  </ul>
                </div>
              </div>
            </div>
            {% endif %}

            <div class="dialog" id="Is_Member_Signup_Success_Token" style="display: none;">
                <div class="go-check-email">
                <h4 class="title-dialog">{{ lang['lb_title_box_alert'] }}</h4>
                <div class="detail-dialog">{{ lang['lb_signup_ok_check_mail'] }}</div>
                <div class="button-dialog">
                    <ul class="buttonLists-dialog">

                    <!-- <li>{{ link_to('service/passwordsetup', 'ตกลง') }}</li> -->
                    <li>{{ link_to('service/passwordsetup', 'ตกลง') }}</li>

                  </ul>
                </div>
              </div>
            </div>
            
            {{ form('signup/register', 'method': 'post', 'name': 'frmSignup', 'id': 'frmSignup') }}
            
            <!-- เคยสมัครแล้ว แต่ยังไม่ครบทุกขั้นตอน -->
            
            <div class="brand-logo">{{ image('themes/frontend/images/logo-notegang2.png', 'alt': '', 'width': 136, 'height': 42) }}</div>
            <div class="introduction-signin">{{ lang['txt_signup_description'] }}</div>
            <div class="bt-signupWith">
              <div class="with-facebook">
                <a href="{{ url('facebook/signup') }}">
                  <span>
                    <span class="icon-socials"><i class="fa fa-facebook"></i></span>
                    <span class="name-button">{{ lang['btn_signup_by_facebook'] }}</span>
                  </span>
                </a>
              </div>
              <div class="with-google">
                <a href="{{ url('signup/google') }}">
                  <span>
                    <span class="icon-socials"><i class="fa fa-google-plus"></i></span>
                    <span class="name-button">{{ lang['btn_signup_by_google'] }}</span>
                  </span>
                </a>
              </div>
              <div class="or"><span class="or-text">{{lang['or']}}</span></div>


              <div class="formSignup">
                <div class="wrap-textField form-group">
                  {{ text_field('txt_email', 'id': 'txt_email', 'placeholder': lang['lb_email'], 'class': 'text-field form-control', 'autocomplete': 'on') }}
                </div>
                
                <div class="text-error error-signup" style="display:none;">{{lang['email_is_already_used']}}</div>
                <!-- มีคนใช้ email นี้แล้ว
                <div class="wrap-textField"><input type="text" placeholder="Email" class="text-field text-field-error"></div>
                <div class="text-error">ขออภัยค่ะ มีผู้ใช้ email นี้แล้ว</div>
                -->
                <div class="g-recaptcha" data-theme="light" data-sitekey="{{ siteKey }}"></div>
                <div class="text-error div-error-captcha-alert" style="display:none;"></div>
               
                <div class="wrap-buttonSubmit">
                    {{ submit_button('Send', 'class': 'submit-bt', 'value': lang['btn_signup']) }}
                </div>
              </div>
              <div class="link-terms">
                <div>{{lang['lb_you_accept_term']}}</div>
                <div><a href="#">{{lang['lb_term_of_service']}}</a></div>
              </div>
            </div>
          <!-- End wrap-box-content -->  
            
            {{ end_form() }}

          </div>
        <!-- End wrap-box -->  
        </div>
    </div>
</div>

<script src='https://www.google.com/recaptcha/api.js'></script>
{{ javascript_include('assets/js/jquery.validate.js') }}

<script type="text/javascript">

    $(function(){

        $('#frmSignup').validate({
            errorElement: 'div',
            errorClass: 'help-block text-error',
            focusInvalid: false,
            ignore: "",
            rules: { 
                "txt_email": {
                    required: true,
                    email:true
                }
            },
            messages: {
                "txt_email": {
                    required: "{{ lang['msg_required_email'] }}",
                    email: "{{ lang['msg_format_email'] }}"
                }
            },
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').addClass('has-error');
            },
            success: function (e) {
                $(e).closest('.form-group').removeClass('has-error');
                $(e).remove();
            },
            errorPlacement: function (error, element) {
                error.insertAfter(element.parent());
            },
            submitHandler: function (form) {
                jQueryAjaxDataSubmit("frmSignup", "json", callBackFunction);
            },
            invalidHandler: function (form) {
            }
        });
    });

    function callBackFunction(data) 
    {
        if(data.banned != null){
            $("#accept-inform").hide();
            $("#msg_dialog").show();
            $("#inform-message-container").append("<span>"+ data.msg +"</span><br/>");
        }
        
        if (data.success) { 
            jQueryRedirectUrl("{{ url.get() }}signup/landing/?mail=" + data.option.mail, 500);  
            //jQueryRedirectUrl("{{ url.get() }}signup/landing/?mail=" + data.option, 500);
        } else { 
            if (data.status_captch) { 
                $(".div-error-captcha-alert").text(data.msg);
                $(".div-error-captcha-alert").show();
            } else { 
                if (data.option.token_status == 'succeeded') {
                    $(".error-signup").show();
                } else { 
                    $("#div-show-dialog-msg").text(data.msg);
                    $("#Is_Member_No_Token").show();
                } 
            }
        }
        return false;
    }
</script>
